<template>
  <div id="index">
    <admin-frame @search="search" :limit="limit" :total="total" topType="2" :rightArrow="false" @back="back" :useNav="false">
      <template v-slot:info>
        <list-2 :list="list" @toView="toView"></list-2>
      </template>
    </admin-frame>
    <van-dialog class="dialog" v-model="dialog.show" :title="dialog.title" :show-confirm-button="false" show-cancel-button cancel-button-text="返回">
      <info-1 v-if="dialog.type == '1'" :info="info"></info-1>
    </van-dialog>
  </div>
</template>

<script>
import list2 from '@/layout/trans/list-2.vue';
import info1 from '@/layout/trans/info-1.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: patenttrans } = createNamespacedHelpers('patenttrans');
export default {
  name: 'index',
  props: {},
  components: {
    adminFrame,
    list2,
    info1,
  },
  data: function () {
    return {
      list: [],
      limit: 5,
      total: 0,
      // 弹框
      dialog: { show: false, title: '详细信息', type: '1' },
      // 详细信息
      info: {},
    };
  },
  async created() {
    await this.search();
  },
  methods: {
    ...patenttrans(['query']),
    async search({ skip = 0, limit = this.limit, ...info } = {}) {
      info.mech_id = this.user.id;
      let res = await this.query({ skip, limit, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 查看详情
    toView(data) {
      this.$set(this, `info`, data);
      let dialog = { show: true, title: '详细信息', type: '1' };
      this.$set(this, `dialog`, dialog);
    },
    // 返回
    back() {
      this.$router.push({ path: '/patent/index' });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.dialog {
  /deep/.van-dialog__content {
    max-height: 350px;
    overflow-y: auto;
  }
}
</style>
